<template>
    <div>
      <CommonInfo :tradeData="tradeData"/>
      <div style="margin: 11px 30px;color: #1890ff;">部门审核</div>
      <el-row style="margin-left:95px">
        <el-col :span="8" style="margin-top: 10px">
          <el-checkbox v-model="checked">我已知晓</el-checkbox>
        </el-col>
        <el-col :span="8">
          <span style="margin: 0px 5px;">审批人</span>
          <el-input :value="$store.state.user.name" style="width: 130px" disabled/>
        </el-col>
      </el-row>
      <el-divider></el-divider>
    </div>
</template>

<script>
  import CommonInfo from "./CommonInfo";
  export default {
    name: "confirm",
    props:{
      tradeData: {
        type: Object
      }
    },
    components:{
      CommonInfo
    },
    data(){
      return{
        checked: false
      }
    },
    methods:{
      checkParam(){
        if(!this.checked){
          this.$message.error("请勾选须知!");
          return true;
        }
        return false;
      },
      submitSuggestion(){
        return {tradeId:this.tradeData.tradeId,tradeStatus:"2",tradeDeptManagerId:this.$store.state.user.userId};
      }
    }
  }
</script>

<style scoped>

</style>
